Package org.eclipse.mat.query

## Enum Column.Alignment

- java.lang.Object
- - java.lang.Enum<Column.Alignment>
  - - org.eclipse.mat.query.Column.Alignment

All Implemented Interfaces:
  `Serializable`, `Comparable<Column.Alignment>`

Enclosing class:
  Column

    public static enum Column.Alignment
    extends Enum<Column.Alignment>

Alignment of the column, i.e. left, center, or right-aligned.

### Enum Constant Summary

Enum Constants
`CENTER`
`LEFT`
`RIGHT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getSwtCode()` The SWT code of the alignment for convenience purposes.
`static Column.Alignment` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Column.Alignment[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT

    public static final Column.Alignment LEFT

#### CENTER

    public static final Column.Alignment CENTER

#### RIGHT

    public static final Column.Alignment RIGHT

### Method Detail

#### values

    public static Column.Alignment[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Column.Alignment c : Column.Alignment.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Column.Alignment valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSwtCode

    public int getSwtCode()

The SWT code of the alignment for convenience purposes.

Returns:
  the alignment code, CENTER, LEFT, RIGHT